Skip to main content
GET
Get private record financial files

Authorizations

Authorization
string
header
required

Bearer authentication using a JWT token. Provide a valid access token. Authorization header format: Authorization: Bearer <token>.

Headers

Requester-Organization-ID
string<uuid>
required

The unique identifier of the organization making the request. This ID is used to authorize the requester within the system.

Example:

"054b4106-174b-46b0-97f8-86d8d7b6f0af"

Target-Organization-ID
string<uuid>
required

The unique identifier of the organization that is the target of the request. The Target-Organization-ID may match the Requester-Organization-ID if the requester accesses their own resources. If the Target-Organization-ID differs from the Requester-Organization-ID, the requester can access third-party resources if the requester has a connection with the target organization and is authorized to perform such actions.

Example:

"123e4567-e89b-12d3-a456-426614174000"

Path Parameters

record_id
string<uuid>
required

Unique identifier of the private record

Example:

"b25e7b65-e46a-40d5-a0f2-0de8c2b354aa"

Query Parameters

statuses
enum<string>[] | null

Filter files by their status

Available options:
uploaded,
processing,
valid,
invalid,
failed
order_by
enum<string>
default:uploaded_at

Field to order the results by

Available options:
created_at,
updated_at,
uploaded_at,
original_filename
order_dir
enum<string>
default:desc

Direction of the ordering

Available options:
asc,
desc
limit
integer
required

Maximum number of items to return

Required range: x <= 100
Examples:

50

70

100

offset
integer
required

Number of items to skip for pagination

Required range: x >= 0
Examples:

0

20

30

Response

Successful Response

items
PrivateRecordsFinancialFile · object[]
required

List of financial files

total_items
integer
required

Total number of financial files

Required range: x >= 0
Examples:

1

20

50